package cn.estsh.i3plus.ext.mes.api.base;

import io.swagger.annotations.ApiOperation;

/**
 * @author xiangming.liao
 * @version 1.0
 * @date 2021/1/13 9:28
 **/
public interface ISxMesHttpService {

    /**
     * 获得PCN服务url
     * @param organizeCode 组织代码
     * @param gateWayPcn pcn网关
     * @param cfgCode 配置代码
     * @return 请求路径url
     */
    @ApiOperation(value = "获得PCN服务url", notes = "获得PCN服务url")
    String getRequestUrl(String organizeCode, String gateWayPcn, String cfgCode);
}
