package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEmployeeNature;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IMesEmployeeNatureService {
    /**
     * 员工性质分页查询
     * @param employeeNature
     * @param pager
     * @param organizeCode
     * @return
     */
    ListPager getEmployeeNaturePage(MesEmployeeNature employeeNature, Pager pager, String organizeCode);

    /**
     * 新增员工性质
     * @param employeeNature
     * @param organizeCode
     * @param userName
     */
    void insertEmployeeNature(MesEmployeeNature employeeNature, String organizeCode, String userName);

    /**
     * 更新员工性质
     * @param employeeNature
     * @param organizeCode
     * @param userName
     */
    void updateEmployeeNature(MesEmployeeNature employeeNature, String organizeCode, String userName);
}
