package cn.estsh.i3plus.ext.mes.apiservice.dao.bu;

import cn.estsh.i3plus.ext.mes.pojo.model.bu.MesOuterPackageRetrospectModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesOuterPackageRetrospectDao {
    /**
     * 按条件分页查询大小包装条码追溯信息
     * @param outerPackageRetrospectModel
     * @param pager
     * @return
     */
    @ApiOperation(value = "按条件分页查询大小包装条码追溯信息信息", notes = "按条件分页查询大小包装条码追溯信息信息")
    List<MesOuterPackageRetrospectModel> queryMesOuterPackageRetrospectByPager(MesOuterPackageRetrospectModel outerPackageRetrospectModel, Pager pager);

    /**
     * 按条件查找数据履历信息分页数量
     *
     * @param outerPackageRetrospectModel
     * @return
     */
    @ApiOperation(value = "按条件查找大小包装条码追溯信息分页数量", notes = "按条件查找大小包装条码追溯信息分页数量")
    int queryMesOuterPackageRetrospectCount(MesOuterPackageRetrospectModel outerPackageRetrospectModel);
}
