package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:44
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ExcelEquipmentCheckDetail {

    @ApiParam("工作中心代码")
    @AnnoOutputColumn
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    @AnnoOutputColumn
    private String workCellCode;

    @ApiParam("工位名称")
    @AnnoOutputColumn
    private String workCellName;

    @ApiParam("设备编号")
    @AnnoOutputColumn
    private String equNo;

    @ApiParam("项目内容")
    @AnnoOutputColumn
    private String projectContent;

    @ApiParam("点检方法")
    @AnnoOutputColumn
    private String checkMethod;

    @ApiParam("类型")
    @AnnoOutputColumn
    private String checkType;
}
