package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("对象结构信息MODEL")
public class ObjectCfgExtModel implements Serializable {

    private static final long serialVersionUID = 5434165659318818191L;

    @ApiParam("id")
    private Long id;

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("字段代码")
    private String fieldCode;

    @ApiParam("字段名称")
    private String fieldName;

    @ApiParam("字段类型")
    private String fieldType;

    @ApiParam("列长度")
    private Integer fieldLength;

    @ApiParam("对应的pojo属性")
    private String pojoAttr;

    @ApiParam("是否保存 1存 2不存")
    private Integer isSave;

    @ApiParam("显示顺序")
    private Integer showSeq;

    @ApiParam("是否显示")
    private Integer isShow;

    @ApiParam("PLC代码")
    private String plcCode;

    @ApiParam("是否显示")
    private String isShowName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

}
