package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("仕损明细记录MODEL")
public class SxOfficialLossDetailRecordModel implements Serializable {

    private static final long serialVersionUID = -7069709326509293274L;

    @ApiParam("事业别")
    public String careerCode;

    @ApiParam("产品别")
    public String categoryCode;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam(value = "仕损年月")
    public String lossDate;

    @ApiParam(value = "仕损类型")
    public String lossType;

    @ApiParam(value = "仕损明细")
    public String lossItem;

    @ApiParam(value = "物料编码")
    public String partNo;

    @ApiParam(value = "物料名称")
    public String partNameRdd;

    @ApiParam("报废数量")
    private Double qty;

    @ApiParam("单价")
    private Double unitPrice;

    @ApiParam("金额")
    private Double amount;

    @ApiParam("有效性")
    private Integer isValid = 1;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("id")
    private String idStr;

    @ApiParam(value = "仕损类型")
    public String lossTypeName;

    @ApiParam(value = "仕损明细")
    public String lossItemName;

    @ApiParam(value = "仕损年月")
    public String lossDateStart;

    @ApiParam(value = "仕损年月")
    public String lossDateEnd;

    public SxOfficialLossDetailRecordModel() {}

    public SxOfficialLossDetailRecordModel(String organizeCode, String lossDateStart, String lossDateEnd) {
        this.organizeCode = organizeCode;
        this.lossDateStart = lossDateStart;
        this.lossDateEnd = lossDateEnd;
    }
}
