package cn.estsh.i3plus.ext.mes.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-20 15:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("24小时检测结果MODEL")
public class EpPartDivulgeCheckResultModel implements Serializable {

    private static final long serialVersionUID = -3428072279382911962L;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("工厂")
    private String organizeCode;

    @ApiParam("是否需要检测")
    private Boolean isNeedCheck;

    @ApiParam("是否已经检测")
    private Boolean isChecked;

    @ApiParam("检测结果 10-OK，20-NG")
    private Integer checkResult;

    @ApiParam("泄露值")
    private Double divulgeValue;
}
