package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesFourMManage;
import cn.estsh.i3plus.ext.mes.pojo.model.FourMManageModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IFourMManageService {

    /**
     * 新增
     *
     * @param fourMManage
     * @return
     */
    MesFourMManage insert(MesFourMManage fourMManage);

    /**
     * 修改
     *
     * @param fourMManage
     * @return
     */
    MesFourMManage update(MesFourMManage fourMManage);

    /**
     * 查询
     *
     * @param fourMManage
     * @param pager
     * @return
     */
    ListPager<FourMManageModel> queryByPager(MesFourMManage fourMManage, Pager pager);

    /**
     * 根据
     *
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


}
