package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.Map;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface ISxHttpRequestService {

    /**
     * 获取HTTP请求数据
     * @param requestUrl 地址
     * @param params 参数
     * @return
     */
    @ApiOperation(value = "获取HTTP请求数据", notes = "获取HTTP请求数据")
    BaseResultBean getBaseResultBeanByRequestUrl(String requestUrl, Map<String, String> params);
}
