package cn.estsh.i3plus.ext.mes.api.base.bu;

import cn.estsh.i3plus.ext.mes.pojo.model.bu.PartCategoryModel;
import cn.estsh.i3plus.pojo.mes.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.bean.MesPartCategory;

import java.util.List;

public interface IPartDataExtService {
    /**
     * 查询零件种类
     *
     * @param partCategory 零件种类
     * @return 零件种类集合
     */
    List<PartCategoryModel> queryMesPartCategoryByProperties(MesPartCategory partCategory);

    /**
     * 查询所有零件种类
     *
     * @param organizeCode 组织代码
     * @return 零件种类集合
     */
    List<PartCategoryModel> queryMesProduceCategoryAll(String organizeCode);

    /**
     * 查询所有零件种类
     *
     * @param organizeCode 组织代码
     * @return 零件种类集合
     */
    MesPart getMesPart(String organizeCode, String partNo);
}
