package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesSkillsManagementBenchmark;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IMesSkillsManagementBenchmarkService {
    /**
     * 技能管理基准分页查询
     * @param skillsManagementBenchmark
     * @param pager
     * @param organizeCode
     * @return
     */
    ListPager getSkillsManagementBenchmarkPage(MesSkillsManagementBenchmark skillsManagementBenchmark, Pager pager, String organizeCode);

    /**
     * 新增技能管理基准
     * @param skillsManagementBenchmark
     * @param organizeCode
     * @param userName
     */
    void insertSkillsManagementBenchmark(MesSkillsManagementBenchmark skillsManagementBenchmark, String organizeCode, String userName);

    /**
     * 更新技能管理基准
     * @param skillsManagementBenchmark
     * @param organizeCode
     * @param userName
     */
    void updateSkillsManagementBenchmark(MesSkillsManagementBenchmark skillsManagementBenchmark, String organizeCode, String userName);
}
