package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxOfficialLossAnalysisReportModel;
import io.swagger.annotations.ApiOperation;

import javax.servlet.http.HttpServletResponse;

public interface ISxOfficialLossAnalysisReportService {

    /**
     * 工场损失明细分析报表报表
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "工场损失明细分析报表报表", notes = "工场损失明细分析报表报表")
    SxOfficialLossAnalysisReportModel queryCareerOfficialLossAnalysis(SxOfficialLossAnalysisReportModel data);

    /**
     * 工场损失明细分析报表报表导出
     * @param resp HttpServletResponse
     * @param data 查询条件
     */
    @ApiOperation(value = "工场损失明细分析报表报表导出", notes = "工场损失明细分析报表报表导出")
    void doDownLoadCareerOfficialLossAnalysis(HttpServletResponse resp, SxOfficialLossAnalysisReportModel data);

    /**
     * 工场损失推移管理报表
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "工场损失推移管理报表", notes = "工场损失推移管理报表")
    SxOfficialLossAnalysisReportModel queryOfficialLossTrendChart(SxOfficialLossAnalysisReportModel data);

    /**
     * 工场损失推移管理报表导出
     * @param resp
     * @param data
     */
    @ApiOperation(value = "工场损失推移管理报表导出", notes = "工场损失推移管理报表导出")
    void doDownLoadOfficialLossTrendChart(HttpServletResponse resp, SxOfficialLossAnalysisReportModel data);
}
