package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesExteriorScratchProofDetail;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesProjectTourDetail;
import cn.estsh.i3plus.ext.mes.pojo.model.MesExteriorScratchProofDetailModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/22 17:33
 * @Description:
 **/
public interface IProjectTourConfirmDao {

    /**
     * 工程巡回确认详情报表
     * 按条件分页查询工程巡回确认详情详情
     * @param projectTourDetail
     * @param pager
     * @return
     */
    @ApiOperation(value = "按条件分页查询工程巡回确认详情详情", notes = "按条件分页查询工程巡回确认详情详情")
    List<MesProjectTourDetail> queryProjectTourDetailByPager(MesProjectTourDetail projectTourDetail, Pager pager);

    /**
     * 按条件查找单据作业分页数量
     *
     * @param projectTourDetail
     * @return
     */
    @ApiOperation(value = "按条件查找单据作业分页数量", notes = "按条件查找单据作业分页数量")
    int queryProjectTourDetailByPagerCount(MesProjectTourDetail projectTourDetail);
}
