package cn.estsh.i3plus.ext.mes.icloud.sdk;

import cn.estsh.i3plus.ext.mes.icloud.sdkfallback.WmsWorkOrderBomCheckFallbackFactory;
import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "i3wms",
        path = CommonConstWords.WHITELIST_URL,
        fallbackFactory = WmsWorkOrderBomCheckFallbackFactory.class
)
public interface IWmsWorkOrderBomCheckCloud {
    @GetMapping(value = "/ext/base/get-wms-work-order-bom")
    BaseResultBean getWorkOrderBom(@RequestParam(MesExtConstWords.WORK_ORDER_NO) String workOrderNo,
                              @RequestParam(MesExtConstWords.ORGANIZE_CODE) String organizeCode);
}
