package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("不良统计报表Model")
public class BadStatisticsReportModel implements Serializable {

    private static final long serialVersionUID = -8175321436564318944L;

    @ApiParam("生产日期开始")
    private String workTimeStart;

    @ApiParam("生产日期结束")
    private String workTimeEnd;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("生产数量")
    private Double qty;

    @ApiParam("不良数量")
    private Double badQty;

    @ApiParam("不良率")
    private String badRate;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("组织代码")
    public String organizeCode;

}
