package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货总检报表model")
public class OqcReportParamModel implements Serializable {

    private static final long serialVersionUID = -1410147786133241970L;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("产品条码")
    public String serialNumber;

    @ApiParam("工单类型")
    public Integer workOrderType;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("生产日期开始")
    public String workTimeStart;

    @ApiParam("生产日期结束")
    public String workTimeEnd;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("查询维度")
    private Integer dimension;

    @ApiParam("查询维度")
    private Integer dimension1;

    @ApiParam("总检测结果")
    private Integer checkResult;

    @ApiParam("总检测单号")
    private String checkNo;

}
