package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件描述
 *
 * @author xiangming.liao
 * @date 2021年06月16日 9:56
 */
@Data
@ApiModel("工程集计报表参数model")
public class ProjectContainersComputeChartParamModel  implements Serializable {

    private static final long serialVersionUID = -6792339551529375974L;

    @ApiParam("生产开始日期")
    private String workTimeStart;

    @ApiParam("生产结束日期")
    private String workTimeEnd;

    @ApiParam("数据维度")
    private Integer dataDimension;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("不良现象代码")
    private String defectCode;

    @ApiParam("不良现象名称")
    private String defectName;

    @ApiParam("不良部品编码")
    private String badPartNo;

    @ApiParam("不良部品名称")
    private String badPartName;

    @ApiParam("不良部品厂家")
    private String badPartVender;

    @ApiParam("不良类型")
    private Integer repairJudge;

    @ApiParam("工厂代码")
    private String organizeCode;
}
