package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("班次作业内容信息MODEL")
public class ShiftProdModel extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3098617187921136822L;

    @ApiParam("作业内容代码")
    private String prodCode;

    @ApiParam("作业内容名称")
    private String prodName;

    @ApiParam("作业内容分类")
    private Integer prodCategory;

    @ApiParam("是否作业时间")
    private Integer isProdTime;

    @ApiParam("作业类型")
    private Integer prodType;

    @ApiParam("计划比例")
    private Double planRate;

    @ApiParam("作业内容分类")
    private String prodCategoryName;

    @ApiParam("是否作业时间")
    private String isProdTimeName;

    @ApiParam("作业类型")
    private String prodTypeName;

    @ApiParam("计划比例(%)")
    private String planRateStr;

    @ApiParam("多个作业类型拼接")
    private String prodTypeArr;

}
