package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.ext.mes.pojo.bean.*;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/6/8 14:21
 **/
@Data
public class WorkCenterBorderModule {

    @ApiParam("看板名称")
    private String borderName;

    @ApiParam("当前时间")
    private String currentTime;

    @ApiParam("当前班次")
    private String shiftName;

    @ApiParam("人数")
    private Double workerQty;

    @ApiParam("所有作业单据")
    private Integer totalOrderJobCount;

    @ApiParam("完成作业单据")
    private Integer finishOrderJobCount;

    @ApiParam("当日计划")
    private Double totalQty;

    @ApiParam("当日实绩")
    private Double totalCompleteQty;

    @ApiParam("作业能率")
    private Double workRate;

    @ApiParam("综合能率")
    private Double totalRate;

    @ApiParam("达成率")
    private Double yieldRate;

    @ApiParam("不良率")
    private Double defectiveRate;

    @ApiParam("产线状态")
    private String workCenterStatus;

    @ApiParam("产线状态文字描述")
    private String workCenterStatusName;

    @ApiParam("柱状图")
    private List<MesWorkOrderExt> workOrderExts;

    @ApiParam("实际/计划数量柱状图")
    private List<MesHistogramModel> histogramModels;

    @ApiParam("4M变更")
    private List<MesFourMDetail> fourMDetails;

    @ApiParam("异常停机")
    private List<MesErrorLineOff> errorLineOffs;

    @ApiParam("通知栏")
    private String notificationBar;


}
