package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("出勤人数MODEL")
public class SxProdDataCqrsModel implements Serializable {

    private static final long serialVersionUID = -3000848264568524623L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("工厂代码")
    public String org;

    @ApiParam("组织名称")
    public String orgName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产线名称")
    private String workCenterName;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("项目代码")
    private String prodCode;

    @ApiParam("项目名称")
    private String prodName;

    @ApiParam("操作类型代码")
    private Integer prodType;

    @ApiParam("操作类型名称")
    private String prodTypeName;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("使用时间")
    private String intervalMin;

    @ApiParam("人数")
    private Double workerQty;

    @ApiParam("人数")
    private Integer workerQtyInt;

    @ApiParam("更新时间")
    private String modifyDatetime;

    @ApiParam("更新时间(年月日)")
    private String modifyDate;

    @ApiParam("是否删除")
    private String isDeletedName;

    public SxProdDataCqrsModel() {}

    public SxProdDataCqrsModel(String org, String orgName) {
        this.org = org;
        this.orgName = orgName;
    }
}
