package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("非作业率事业计划MODEL")
public class SxProdDataFzylsyjhModel implements Serializable {

    private static final long serialVersionUID = 8275483432102242029L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("工厂代码")
    public String org;

    @ApiParam("组织名称")
    public String orgName;

    @ApiParam("作业内容代码")
    private String prodCode;

    @ApiParam("作业内容名称")
    private String prodName;

    @ApiParam("作业内容分类")
    private Integer prodCategory;

    @ApiParam("作业内容分类")
    private String prodCategoryName;

    @ApiParam("是否作业时间")
    private Integer isProdTime;

    @ApiParam("是否作业时间")
    private String isProdTimeName;

    @ApiParam("作业类型")
    private Integer prodType;

    @ApiParam("作业类型")
    private String prodTypeName;

    @ApiParam("计划比例")
    private Double planRate;

    @ApiParam("计划比例")
    private String planRateStr;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("创建时间(年月日)")
    private String createDate;

    @ApiParam("更新时间")
    private String modifyDatetime;

    public SxProdDataFzylsyjhModel() {}

    public SxProdDataFzylsyjhModel(String org, String orgName) {
        this.org = org;
        this.orgName = orgName;
    }
}
