package cn.estsh.i3plus.ext.mes.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP物料校验项信息MODEL")
public class EpPartCheckExtModel implements Serializable {

    private static final long serialVersionUID = -808295777038730541L;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("对象代码")
    private String objectCode;

    @ApiParam("校验表达式")
    private String checkSpelExpress;

    @ApiParam("类型表达式")
    private String typeSpelExpress;

    @ApiParam("记录数量表达式")
    private String recordNumSpelExpress;

    @ApiParam("数据查询类型")
    private Integer dataType = 1;

    @ApiParam("限定检测表达式")
    private String limitSpelExpress;

    @ApiParam("合格标准描述")
    private String recordNumDesc;

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("数据查询类型")
    private String dataTypeName;

}
