package cn.estsh.i3plus.ext.mes.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-30 15:31
 */
@Data
@ApiModel("EP PMC产线状态 MODEL")
public class EpWorkCenterStateModel implements Serializable {

    private static final long serialVersionUID = 6357705327520880779L;

    @ApiParam("产线名称")
    private String workCenterName;

    @ApiParam("工程不良率")
    private String defectiveRate;

    @ApiParam("当前生产机种（物料）")
    private String partName;

    @ApiParam("状态 设备停线;正常生产;无生产")
    private String workCenterStatusName;

    @ApiParam("状态背景颜色")
    private String workCenterStatus;
}
