package cn.estsh.i3plus.ext.mes.pojo.model.jx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xinwang.yi
 * @version 1.0
 * @date 2023/12/21 15:32
 **/
@Data
@ApiModel("管理码信息model")
public class JxManageCodeResultModel implements Serializable {

    private static final long serialVersionUID = 1147109734364012401L;

    @ApiParam("组织代码")
    public Long id;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("产线名称")
    private String workCenterName;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("工位名称")
    private String workCellName;

    @ApiParam("管理码")
    private String manageCode;

    @ApiParam("绑定时间")
    private String bindTime;

    @ApiParam("条码状态")
    private Integer snStatus;

    @ApiParam("条码状态")
    private String snStatusName;

    public JxManageCodeResultModel(Long id, String workOrderNo, String workCenterCode, String workCellCode, String manageCode, String bindTime, Integer snStatus) {
        this.id = id;
        this.workOrderNo = workOrderNo;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.manageCode = manageCode;
        this.bindTime = bindTime;
        this.snStatus = snStatus;
    }
}
